## dh-puredata 3.1.3

=== tests/myobj/Makefile ===
lib.name = myobj
class.sources = myobj.c
PDLIBBUILDER_DIR=pd-lib-builder/
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

## dh-puredata 1~exp1

=== debian/changelog ===
dh-puredata (1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1020295)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Sep 2022 17:25:37 +0200

=== debian/control ===
Source: dh-puredata
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Homepage: https://salsa.debian.org/multimedia-team/dh-puredata
Vcs-Browser: https://salsa.debian.org/multimedia-team/dh-puredata
Vcs-Git: https://salsa.debian.org/multimedia-team/dh-puredata.git

Package: dh-puredata
Architecture: all
Multi-Arch: foreign
Depends:
 libdebhelper-perl,
 ${misc:Depends},
 ${perl:Depends},
 pd-lib-builder,
 puredata-dev,
Enhances:
 debhelper,
Provides:
 dh-sequence-pd-lib-builder,
Description: debhelper addon for building Pd externals
 This package provides the 'pd-lib-builder' Debhelper-sequence for
 streamlining the process of creating Debian packages of pd-lib-builder
 based externals.

=== debian/tests/control ===
Test-Command: debian/tests/buildpackage debian/tests/*/
#Restrictions: allow-stderr, breaks-testbed, needs-root
Restrictions: allow-stderr
Depends:
 build-essential,
 debhelper-compat (= 13),
 @,

## dh-puredata 1

=== debian/changelog ===
dh-puredata (1) unstable; urgency=medium

  * Upload to unstable.
  * Move tests out of debian/
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 16 Nov 2022 17:54:18 +0100

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
 Multi-Arch: foreign
 Depends:
  libdebhelper-perl,
+ pd-lib-builder,
+ puredata-dev,
  ${misc:Depends},
  ${perl:Depends},
- pd-lib-builder,
- puredata-dev,
 Enhances:
  debhelper,
 Provides:

## dh-puredata 2.0.1

=== debian/changelog ===
dh-puredata (2.0.1) unstable; urgency=medium

  * Depend on libfile-find-rule-perl

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Nov 2022 00:03:22 +0100

dh-puredata (2) unstable; urgency=medium

  * Bypass stripping during install if compat<=10
  * Fill puredata:Recommends and puredata:Suggests
  * Add 'pd-libdir' to 'puredata:Suggests' if there's a *-meta.pd file
  * Support cross-compiling (until debhelper is fixed)
  * Fix path to repository
  * Update README.md
    + Fix typo in md-reference
    + Use backticks for quoting code-like strings

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 21 Nov 2022 17:59:11 +0100

=== tests/myobj/debian/changelog ===
pd-mycobj (0.0-1) unstable; urgency=medium

  * Test build

 -- Test User <test@example.org>  Mon, 19 Sep 2022 13:52:55 +0200

=== tests/myobj/debian/control ===
Source: pd-mycobj
Section: devel
Priority: optional
Maintainer: Test User <test@example.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pd-lib-builder,
Standards-Version: 4.6.1

Package: pd-mycobj
Architecture: any
Depends:
 puredata | pd,
Description: Test package for dh-sequence-pd-lib-builder (mycobj)
 Test package for pd-lib-builder's dh_sequence (mycobj)

## dh-puredata 3.0.0

=== debian/changelog ===
dh-puredata (3.0.0) unstable; urgency=medium

  * 'pd_lib_builder' Buildsystem
    + No longer enabled by default!
    + Implement check_auto_buildable
    + Enforce in-tree building
    + Improve code with perlcritic
  * In-line documentation of code
  * tests/
    + Use "3.0 (native)" for test-package
    + Use substvars in tests
    + Explicitly set buildsystem in autopkgtests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Dec 2022 11:24:26 +0100

## dh-puredata 3.0.1

=== debian/changelog ===
dh-puredata (3.0.1) unstable; urgency=medium

  * Use new debhelper hook for cross-building support

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 15 Dec 2022 23:54:13 +0100

=== tests/myobj/debian/changelog ===
pd-mycobj (0.1) unstable; urgency=medium

  * Test build

 -- Test User <test@example.org>  Mon, 19 Sep 2022 13:52:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,16 @@
 Build-Depends:
  debhelper-compat (= 13),
 Standards-Version: 4.6.1
-Homepage: https://salsa.debian.org/multimedia-team/dh-puredata
-Vcs-Browser: https://salsa.debian.org/multimedia-team/dh-puredata
-Vcs-Git: https://salsa.debian.org/multimedia-team/dh-puredata.git
+Homepage: https://salsa.debian.org/multimedia-team/pd/dh-puredata
+Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/dh-puredata
+Vcs-Git: https://salsa.debian.org/multimedia-team/pd/dh-puredata.git
 
 Package: dh-puredata
 Architecture: all
 Multi-Arch: foreign
 Depends:
  libdebhelper-perl,
+ libfile-find-rule-perl,
  pd-lib-builder,
  puredata-dev,
  ${misc:Depends},

=== debian/tests/control ===
Test-Command: debian/tests/buildpackage tests/*/
Restrictions: allow-stderr
Depends:
 build-essential,
 debhelper-compat (= 13),
 @,

## dh-puredata 3.1.2

=== debian/changelog ===
dh-puredata (3.1.2) unstable; urgency=medium

  * Fix check for Pd64 binaries
  * Do not rely on DEB_HOST_ARCH envvar when calculating Pd64 extensions
  * Add autopkgtest to check if produced packages are usable with different
    Pd-flavors
  * Fix typos

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 21 Jul 2023 12:34:47 +0200

dh-puredata (3.1.1) unstable; urgency=medium

  * Properly calculate Pd64 extensions (Closes: #1040504)
    + Versioned Depends on pd-lib-builder and puredata-dev

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 13 Jul 2023 18:16:24 +0200

dh-puredata (3.1.0) unstable; urgency=medium

  * Build double precision externals with pd-lib-builder
    + iff Make Makefile.pdlibbuilder can do it
    + if the package contains double-precision externals, add "pd64" as an
      alternative dependency
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 29 Jun 2023 23:09:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/multimedia-team/pd/dh-puredata
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/dh-puredata
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/dh-puredata.git
@@ -18,8 +18,8 @@
 Depends:
  libdebhelper-perl,
  libfile-find-rule-perl,
- pd-lib-builder,
- puredata-dev,
+ pd-lib-builder (>= 7.0.0~) | pd-lib-builder,
+ puredata-dev (>= 0.54.0+ds-3~) | puredata-dev,
  ${misc:Depends},
  ${perl:Depends},
 Enhances:

## dh-puredata 3.1.3

=== debian/changelog ===
dh-puredata (3.1.3) unstable; urgency=medium

  * Provide dh-sequence-puredata
    + Document use of dh-sequence-puredata
  * Declare arch:all packages as Pd64 compatible
  * Cleanup pd-lib-builder sequence

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Jul 2023 09:23:03 +0200

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  debhelper,
 Provides:
  dh-sequence-pd-lib-builder,
+ dh-sequence-puredata,
 Description: debhelper addon for building Pd externals
  This package provides the 'pd-lib-builder' Debhelper-sequence for
  streamlining the process of creating Debian packages of pd-lib-builder

=== debian/tests/control ===
Test-Command: debian/tests/buildpackage tests/*/
Features: test-name=build_package
Restrictions: allow-stderr
Depends:
 build-essential,
 debhelper-compat (= 13),
 @,

Test-Command: debian/tests/installpackage tests/*/
Features: test-name=usable_package_pd32
Restrictions: needs-root, breaks-testbed, allow-stderr, skip-not-installable
Depends:
 build-essential,
 debhelper-compat (= 13),
 puredata-core,
 @,

Test-Command: debian/tests/installpackage tests/*/
Features: test-name=usable_package_pd64
Restrictions: needs-root, breaks-testbed, allow-stderr, skip-not-installable
Depends:
 build-essential,
 debhelper-compat (= 13),
 puredata64-core,
 @,

## dh-puredata 3.2.0

=== Makefile ===
SCRIPTS = \
  dh_puredata_substvar	\
  $(empty)

MANPAGES = $(patsubst %,%.1,$(SCRIPTS))

VERSION := $(shell dpkg-parsechangelog -S Version)

.PHONY: all
all: manpages chmod

.PHONY: manpages
manpages: $(MANPAGES)

%.1: %
	pod2man --center="dh-puredata" --release="$(VERSION)" --utf8 $< > $@

.PHONY: chmod
chmod: $(SCRIPTS)
	chmod +x $(SCRIPTS)

.PHONY: clean
clean:
	rm -f $(MANPAGES)

=== debian/changelog ===
dh-puredata (3.2.0) unstable; urgency=medium

  * Only calculate the $cpu once
  * Generate puredata:Provides as well (for "pd64-*" aliases)
  * Improve manpage

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Jun 2024 12:13:15 +0200

=== tests/myobj/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pd_lib_builder

=== tests/myobj/debian/control ===
--- 
+++ 
@@ -11,6 +11,12 @@
 Package: pd-mycobj
 Architecture: any
 Depends:
- puredata | pd,
+ ${misc:Depends},
+ ${puredata:Depends},
+ ${shlibs:Depends},
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: Test package for dh-sequence-pd-lib-builder (mycobj)
  Test package for pd-lib-builder's dh_sequence (mycobj)

## dh-puredata 3.2.0ubuntu1

=== debian/changelog ===
dh-puredata (3.2.0ubuntu1) plucky; urgency=medium

  * pd_lib_builder.pm: set DEB_HOST_ARCH for compatibility
    also disregard the `install` subroutine results from newer debhelper
  * tests: include /usr/share/dpkg/architecture.mk file

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 20 Dec 2024 14:31:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dh-puredata
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Rules-Requires-Root: no

=== tests/myobj/debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
%:
	dh $@ --buildsystem=pd_lib_builder

## dh-puredata 3.2.0ubuntu2

=== debian/changelog ===
dh-puredata (3.2.0ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 20:00:56 +0000
